Skip to main content
`Ctrl`+`K`

# PetscSetDebugTerminal

Sets the terminal to use for debugging.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscSetDebugTerminal(const char terminal[])

Not Collective; No Fortran Support

## Input Parameter

- terminal - name of terminal and any flags required to execute a program. For example “xterm”, “urxvt -e”, “gnome-terminal -x”. On Apple macOS you can use “Terminal” (note the capital T)

## Options Database Key

- -debug_terminal terminal - use this terminal instead of the default

## Notes

You can start the debugger for all processes in the same GNU screen session.

      mpiexec -n 4 ./myapp -start_in_debugger -debug_terminal "screen -X -S debug screen"

will open 4 windows in the session named “debug”.

The default terminal on Apple is Terminal, on other systems the default is xterm

## See Also

`PetscSetDebugger()`, `PetscAttachDebugger()`

## Level

developer

## Location

src/sys/error/adebug.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages